# Maximum number of tabs to open
MAX_TABS = 30

# Default amount of seconds to wait in between opening tabs
PER_TAB_PAUSE = 10

# Default amount of seconds to wait for things to be settled down
SETTLE_WAIT_TIME = 30

# Amount of times to run through the test suite
ITERATIONS = 5

# Talos TP5
TEST_SITES_TEMPLATES = [
    "http://localhost:{}/tp5n/thesartorialist.blogspot.com/thesartorialist.blogspot.com/index.html",
    "http://localhost:{}/tp5n/cakewrecks.blogspot.com/cakewrecks.blogspot.com/index.html",
    "http://localhost:{}/tp5n/baidu.com/www.baidu.com/s@wd=mozilla.html",
    "http://localhost:{}/tp5n/en.wikipedia.org/en.wikipedia.org/wiki/Rorschach_test.html",
    "http://localhost:{}/tp5n/twitter.com/twitter.com/ICHCheezburger.html",
    "http://localhost:{}/tp5n/msn.com/www.msn.com/index.html",
    "http://localhost:{}/tp5n/yahoo.co.jp/www.yahoo.co.jp/index.html",
    "http://localhost:{}/tp5n/amazon.com/www.amazon.com/Kindle-Wireless-Reader-Wifi-Graphite/dp/B002Y27P3M/507846.html",
    "http://localhost:{}/tp5n/linkedin.com/www.linkedin.com/in/christopherblizzard@goback=.nppvan_%252Flemuelf.html",
    "http://localhost:{}/tp5n/bing.com/www.bing.com/search@q=mozilla&go=&form=QBLH&qs=n&sk=&sc=8-0.html",
    "http://localhost:{}/tp5n/icanhascheezburger.com/icanhascheezburger.com/index.html",
    "http://localhost:{}/tp5n/yandex.ru/yandex.ru/yandsearch@text=mozilla&lr=21215.html",
    "http://localhost:{}/tp5n/cgi.ebay.com/cgi.ebay.com/ALL-NEW-KINDLE-3-eBOOK-WIRELESS-READING-DEVICE-W-WIFI-/130496077314@pt=LH_DefaultDomain_0&hash=item1e622c1e02.html",
    "http://localhost:{}/tp5n/163.com/www.163.com/index.html",
    "http://localhost:{}/tp5n/mail.ru/mail.ru/index.html",
    "http://localhost:{}/tp5n/bbc.co.uk/www.bbc.co.uk/news/index.html",
    "http://localhost:{}/tp5n/store.apple.com/store.apple.com/us@mco=Nzc1MjMwNA.html",
    "http://localhost:{}/tp5n/imdb.com/www.imdb.com/title/tt1099212/index.html",
    "http://localhost:{}/tp5n/mozilla.com/www.mozilla.com/en-US/firefox/all-older.html",
    "http://localhost:{}/tp5n/ask.com/www.ask.com/web@q=What%27s+the+difference+between+brown+and+white+eggs%253F&gc=1&qsrc=3045&o=0&l=dir.html",
    "http://localhost:{}/tp5n/cnn.com/www.cnn.com/index.html",
    "http://localhost:{}/tp5n/sohu.com/www.sohu.com/index.html",
    "http://localhost:{}/tp5n/vkontakte.ru/vkontakte.ru/help.php@page=about.html",
    "http://localhost:{}/tp5n/youku.com/www.youku.com/index.html",
    "http://localhost:{}/tp5n/myparentswereawesome.tumblr.com/myparentswereawesome.tumblr.com/index.html",
    "http://localhost:{}/tp5n/ifeng.com/ifeng.com/index.html",
    "http://localhost:{}/tp5n/ameblo.jp/ameblo.jp/index.html",
    "http://localhost:{}/tp5n/tudou.com/www.tudou.com/index.html",
    "http://localhost:{}/tp5n/chemistry.about.com/chemistry.about.com/index.html",
    "http://localhost:{}/tp5n/beatonna.livejournal.com/beatonna.livejournal.com/index.html",
    "http://localhost:{}/tp5n/hao123.com/hao123.com/index.html",
    "http://localhost:{}/tp5n/rakuten.co.jp/www.rakuten.co.jp/index.html",
    "http://localhost:{}/tp5n/alibaba.com/www.alibaba.com/product-tp/101509462/World_s_Cheapest_Laptop.html",
    "http://localhost:{}/tp5n/uol.com.br/www.uol.com.br/index.html",
    "http://localhost:{}/tp5n/cnet.com/www.cnet.com/index.html",
    "http://localhost:{}/tp5n/ehow.com/www.ehow.com/how_4575878_prevent-fire-home.html",
    "http://localhost:{}/tp5n/thepiratebay.org/thepiratebay.org/top/201.html",
    "http://localhost:{}/tp5n/page.renren.com/page.renren.com/index.html",
    "http://localhost:{}/tp5n/chinaz.com/chinaz.com/index.html",
    "http://localhost:{}/tp5n/globo.com/www.globo.com/index.html",
    "http://localhost:{}/tp5n/spiegel.de/www.spiegel.de/index.html",
    "http://localhost:{}/tp5n/dailymotion.com/www.dailymotion.com/us.html",
    "http://localhost:{}/tp5n/goo.ne.jp/goo.ne.jp/index.html",
    "http://localhost:{}/tp5n/alipay.com/www.alipay.com/index.html",
    "http://localhost:{}/tp5n/stackoverflow.com/stackoverflow.com/questions/184618/what-is-the-best-comment-in-source-code-you-have-ever-encountered.html",
    "http://localhost:{}/tp5n/nicovideo.jp/www.nicovideo.jp/index.html",
    "http://localhost:{}/tp5n/ezinearticles.com/ezinearticles.com/index.html@Migraine-Ocular---The-Eye-Migraines&id=4684133.html",
    "http://localhost:{}/tp5n/taringa.net/www.taringa.net/index.html",
    "http://localhost:{}/tp5n/tmall.com/www.tmall.com/index.html@ver=2010s.html",
    "http://localhost:{}/tp5n/huffingtonpost.com/www.huffingtonpost.com/index.html",
    "http://localhost:{}/tp5n/deviantart.com/www.deviantart.com/index.html",
    "http://localhost:{}/tp5n/media.photobucket.com/media.photobucket.com/image/funny%20gif/findstuff22/Best%20Images/Funny/funny-gif1.jpg@o=1.html",
    "http://localhost:{}/tp5n/douban.com/www.douban.com/index.html",
    "http://localhost:{}/tp5n/imgur.com/imgur.com/gallery/index.html",
    "http://localhost:{}/tp5n/reddit.com/www.reddit.com/index.html",
    "http://localhost:{}/tp5n/digg.com/digg.com/news/story/New_logo_for_Mozilla_Firefox_browser.html",
    "http://localhost:{}/tp5n/filestube.com/www.filestube.com/t/the+vampire+diaries.html",
    "http://localhost:{}/tp5n/dailymail.co.uk/www.dailymail.co.uk/ushome/index.html",
    "http://localhost:{}/tp5n/whois.domaintools.com/whois.domaintools.com/mozilla.com.html",
    "http://localhost:{}/tp5n/indiatimes.com/www.indiatimes.com/index.html",
    "http://localhost:{}/tp5n/rambler.ru/www.rambler.ru/index.html",
    "http://localhost:{}/tp5n/torrentz.eu/torrentz.eu/search@q=movies.html",
    "http://localhost:{}/tp5n/reuters.com/www.reuters.com/index.html",
    "http://localhost:{}/tp5n/foxnews.com/www.foxnews.com/index.html",
    "http://localhost:{}/tp5n/xinhuanet.com/xinhuanet.com/index.html",
    "http://localhost:{}/tp5n/56.com/www.56.com/index.html",
    "http://localhost:{}/tp5n/bild.de/www.bild.de/index.html",
    "http://localhost:{}/tp5n/guardian.co.uk/www.guardian.co.uk/index.html",
    "http://localhost:{}/tp5n/w3schools.com/www.w3schools.com/html/default.asp.html",
    "http://localhost:{}/tp5n/naver.com/www.naver.com/index.html",
    "http://localhost:{}/tp5n/blogfa.com/blogfa.com/index.html",
    "http://localhost:{}/tp5n/terra.com.br/www.terra.com.br/portal/index.html",
    "http://localhost:{}/tp5n/ucoz.ru/www.ucoz.ru/index.html",
    "http://localhost:{}/tp5n/yelp.com/www.yelp.com/biz/alexanders-steakhouse-cupertino.html",
    "http://localhost:{}/tp5n/wsj.com/online.wsj.com/home-page.html",
    "http://localhost:{}/tp5n/noimpactman.typepad.com/noimpactman.typepad.com/index.html",
    "http://localhost:{}/tp5n/myspace.com/www.myspace.com/albumart.html",
    "http://localhost:{}/tp5n/google.com/www.google.com/search@q=mozilla.html",
    "http://localhost:{}/tp5n/orange.fr/www.orange.fr/index.html",
    "http://localhost:{}/tp5n/php.net/php.net/index.html",
    "http://localhost:{}/tp5n/zol.com.cn/www.zol.com.cn/index.html",
    "http://localhost:{}/tp5n/mashable.com/mashable.com/index.html",
    "http://localhost:{}/tp5n/etsy.com/www.etsy.com/category/geekery/videogame.html",
    "http://localhost:{}/tp5n/gmx.net/www.gmx.net/index.html",
    "http://localhost:{}/tp5n/csdn.net/csdn.net/index.html",
    "http://localhost:{}/tp5n/xunlei.com/xunlei.com/index.html",
    "http://localhost:{}/tp5n/hatena.ne.jp/www.hatena.ne.jp/index.html",
    "http://localhost:{}/tp5n/icious.com/www.delicious.com/index.html",
    "http://localhost:{}/tp5n/repubblica.it/www.repubblica.it/index.html",
    "http://localhost:{}/tp5n/web.de/web.de/index.html",
    "http://localhost:{}/tp5n/slideshare.net/www.slideshare.net/jameswillamor/lolcats-in-popular-culture-a-historical-perspective.html",
    "http://localhost:{}/tp5n/telegraph.co.uk/www.telegraph.co.uk/index.html",
    "http://localhost:{}/tp5n/seesaa.net/blog.seesaa.jp/index.html",
    "http://localhost:{}/tp5n/wp.pl/www.wp.pl/index.html",
    "http://localhost:{}/tp5n/aljazeera.net/aljazeera.net/portal.html",
    "http://localhost:{}/tp5n/w3.org/www.w3.org/standards/webdesign/htmlcss.html",
    "http://localhost:{}/tp5n/homeway.com.cn/www.hexun.com/index.html",
    "http://localhost:{}/tp5n/facebook.com/www.facebook.com/Google.html",
    "http://localhost:{}/tp5n/youtube.com/www.youtube.com/music.html",
    "http://localhost:{}/tp5n/people.com.cn/people.com.cn/index.html"
]

__all__ = ["MAX_TABS",
           "PER_TAB_PAUSE",
           "SETTLE_WAIT_TIME",
           "ITERATIONS",
           "TEST_SITES_TEMPLATES",
           "webservers",
           "process_perf_data"]
